/*
 Copyright 2004-2008 Paul R. Holser, Jr.  All rights reserved.
 Licensed under the Academic Free License version 3.0
 */

package joptsimple.internal;

/**
 * @author <a href="mailto:pholser@alumni.rice.edu">Paul Holser</a>
 * @version $Id: Classes.java,v 1.1 2008/05/14 22:56:25 pholser Exp $
 */
public class Classes {
    /**
     * <p>Do not instantiate -- statics only.</p>
     */
    protected Classes() {
        throw new UnsupportedOperationException();
    }

    public static String shortNameOf( Class aClass ) {
        String name = aClass.getName();
        return name.substring( name.lastIndexOf( '.' ) + 1 );
    }
}
